3

I am using pdflatex on a fresh (and current) MikTex 2.9 install with the following MWE:

\documentclass{article}
\usepackage{animate}
\begin{document}
 Test
\end{document}

Pdflatex throws the error:

Package: pdfbase 2017/03/23 v0.14 driver independent access to low-level PDF fe
atures
\g_pbs_page_int=\count175

! Undefined control sequence.
<argument> \luatexversion 
                          <95
l.924 }

I have read the other posts containing the offending control sequence, especially this one but the solutions offered there didn't help in my case.

This problem might have arisen with a recent MikTex update. I have now completely uninstalled, redownloaded, reinstalled and updates MikTex -- with no success.

4

Update the media9 package to version 0.81 as of 2017/07/24 which provides file pdfbase.sty loaded by pkg animate.

Quickfix until the next package update of MiKTeX: Put the current pdfbase.sty into the working directory (directory with your document source).

A recent LaTeX3 kernel update made fixing media9 (and other packages) necessary. Related: What does greedy \bool_if:n(TF) mean?

  • The MikTex package manager only offers me version 0.80 by now. I will recheck within the next few days. – David Woitkowski Jul 25 '17 at 13:01
  • @David For a quickfix see edit. – AlexG Jul 25 '17 at 13:06

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.